SUBDIRS = html classManual guide
RECURSIVE_TARGETS=$(PROJECT_RECURSIVE_TARGETS)
NAMESPACE=datacondAPI

# :TODO: Need to fix the generation .cc documentation
DOXYGEN_FILE_PATTERNS = *.txt *.hh *.icc *.c *.h
# :TODO: Need to fix the generation of LaTeX documentation
DOXYGEN_GENERATE_LATEX = NO
DOXYGEN_TAGFILES = \
	$(ldas_top_builddir)/lib/general/doc/general.tag=/doc/general/html \
	$(ldas_top_builddir)/lib/ilwd/doc/ilwd.tag=/doc/ilwd/html \
	$(ldas_top_builddir)/lib/ilwdfcs/doc/ilwdfcs.tag=/doc/ilwdfcs/html \
	$(ldas_top_builddir)/lib/dbaccess/doc/dbaccess.tag=/doc/dbaccess/html \
	$(ldas_top_builddir)/lib/filters/doc/filters.tag=/doc/filters/html \
	$(ldas_top_builddir)/api/genericAPI/so/doc/genericAPI.tag=/doc/genericAPI/html

include $(ldas_top_srcdir)/build/make-macros/doxygen.mk
include $(ldas_top_srcdir)/build/make-macros/memory-debug.mk

all-local: $(ALL_LOCAL)
install-data-local: $(INSTALL_DATA_LOCAL)
